> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{orgId}/items/transfer

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{orgId}/items/transfer
```

where `{orgId}` is the ID of an organization.

## Supported methods and overview&#x20;

* `POST` - transfers the ownership of all file objects and folders from one Covata user to another Covata user.

## Detailed description&#x20;

This API endpoint transfers the ownership of all files/[Secure Objects](/3.4/api/working-with-files-and-folders-fundamentals.md#secure-object) and folders/[collections](/3.4/api/working-with-files-and-folders-fundamentals.md#collection) (in which these files are contained) from one Covata user to another Covata user, within the organization specified by the `{orgId}` of the request's URL.

> [!NOTE]
>
> * When using [Organization Administration](/3.4/admin-org.md) to transfer item ownership from one Covata user to another, this process must be done as part of [removing a user account from an organization](/3.4/admin-org/administering-users-within-an-organisation.md#removing-a-user-account-from-your-organisation).
> * However, when using the Covata API, transferring item ownership from a Covata user can be accomplished without having to remove this user from the organization.

## Supported roles and conditions&#x20;

This API endpoint supports requests utilizing Covata user accounts with the following [roles](/3.4/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (as described in the [Organization Administrator's Guide](/3.4/admin-org.md)) and conditions:

* [Organization administrator](/3.4/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role) - when this user is a member of the organization specified by the `{orgId}` of the request's URL.

The Covata Platform's resources available to Covata users meeting this criteria is determined by the access token submitted in the [header](/3.4/api/access-service-api-v1-organisations-orgid-items-transfer.md#access-service-api-v1-organisations-orgid-items-transfer-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

The following header is required if the body of the request has a JSON object:

* `Content-Type: application/json`

## Required parameters&#x20;

The following required parameters must be sent in the **body** of the POST request, as individual members of a **JSON object**:

* **from** - The ID of a Covata user (with the [Originator](/3.4/admin-org/administering-users-within-an-organisation.md#originator-role) role), whose items will be transferred to another Covata user.
* **to** - The ID of another Covata user (with the **Originator** role) to whom these items will be transferred. \

  **Example (request):**

  ```json theme={null}
  {
    "from": "749419842687528960",
    "to": "750613175405441024"
  }
  ```

## Optional parameters&#x20;

The following optional parameter can also be sent in the **body** of the POST request, as an individual member of the **JSON object** that includes the [Required parameters](/3.4/api/access-service-api-v1-organisations-orgid-items-transfer.md#access-service-api-v1-organisations-orgid-items-transfer-required-parameters) above:

* **folderName** - The name of a new folder that will be created at the root location of the Covata user (represented by **to** above) to whom the complete hierarchy of items (belonging to the user represented by **from** above) will be transferred. \

  **Note:** If this parameter is omitted, then a new folder (like this) will automatically be created with a default name consisting of the email address of the Covata user (represented by **from**) followed by an underscore, followed by the current date.
* **deleteUser** - A boolean value that indicates whether (`true`) or not (`false`) the Covata user specified in the `from` field above, whose items are being transfered to another user, will be removed from the organization.

  **Example (request):**

  ```json theme={null}
  {
    "from": "749419842687528960",
    "to": "750613175405441024",
    "folderName": "Alex's items",
    "deleteUser": true
  }
  ```

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.